
Ruby - Bug #9092

Update Unicode data to Unicode Version 7.0

11/07/2013 02:39 PM - duerst (Martin Dürst)

Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version: 2.2.0   

ruby -v: trunk Backport:  

Description

As done regularly, Ruby should be updated to the newest version of Unicode, 6.3. This year's updates on the Unicode side are

mostly in the area of bidi (bidirectional text), which doesn't affect Ruby, but there are also a few new characters and a few property

changes. (This assumes that Ruby is already at version 6.2.)

For details, please see http://www.unicode.org/versions/Unicode6.3.0/.

Associated revisions

Revision 64c81e40d4706d3685d540febb06e28609641aa4 - 07/16/2014 03:27 AM - naruse (Yui NARUSE)

regcomp.c: Merge Onigmo 5.14.1 25a8a69fc05ae3b56a09.

this includes Support for Unicode 7.0 [Bug #9092].

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@46831 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 64c81e40 - 07/16/2014 03:27 AM - naruse (Yui NARUSE)

regcomp.c: Merge Onigmo 5.14.1 25a8a69fc05ae3b56a09.

this includes Support for Unicode 7.0 [Bug #9092].

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@46831 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 5d913e21d212bec151b506e2e4e28dafc0ad4877 - 09/10/2014 02:30 PM - nagachika (Tomoyuki Chikanaga)

merge r46831 partially. extracted commits are as follows. [Bug #9344]

https://github.com/k-takata/Onigmo/commit/bdfc1997aa15b6baddaf9a482c6610b32504bd86

regcomp.c: Merge Onigmo 5.14.1 25a8a69fc05ae3b56a09.

this includes Support for Unicode 7.0 [Bug #9092].

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@47519 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 5d913e21 - 09/10/2014 02:30 PM - nagachika (Tomoyuki Chikanaga)

merge r46831 partially. extracted commits are as follows. [Bug #9344]

https://github.com/k-takata/Onigmo/commit/bdfc1997aa15b6baddaf9a482c6610b32504bd86

regcomp.c: Merge Onigmo 5.14.1 25a8a69fc05ae3b56a09.

this includes Support for Unicode 7.0 [Bug #9092].

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@47519 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 01/30/2014 06:17 AM - hsbt (Hiroshi SHIBATA)

- Target version changed from 2.1.0 to 2.2.0

#2 - 02/03/2014 06:12 AM - duerst (Martin Dürst)

- Subject changed from Update Unicode data to Unicode Version 6.3 to Update Unicode data to Unicode Version 7.0

Unicode 6.3 came out in 2013. In 2014, Unicode 7.0 will be available, quite surely in time for a December release of 2.2. Most data files are already

available as alpha versions for early tests at http://www.unicode.org/Public/7.0.0/ucd/.

#3 - 02/14/2014 10:19 AM - matz (Yukihiro Matsumoto)
Agreed. We'd better use the latest Unicode data.

Matz.

#4 - 06/18/2014 11:07 AM - duerst (Martin Dürst)

Unicode 7.0 has been released officially. Please see http://unicode-inc.blogspot.com/2014/06/announcing-unicode-standard-version-70.html.

#5 - 07/16/2014 03:27 AM - naruse (Yui NARUSE)

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset r46831.

regcomp.c: Merge Onigmo 5.14.1 25a8a69fc05ae3b56a09.

this includes Support for Unicode 7.0 [Bug #9092].

#6 - 08/23/2014 03:16 PM - duerst (Martin Dürst)

This is just an additional comment for future reference:

The Unicode Consortium has announced

(http://unicode-inc.blogspot.ch/2014/08/new-publication-schedule-for-unicode.html) that it will publish new major versions of Unicode in June every

year. In particular, Unicode Version 8 will be published in June 2015.

Powered by TCPDF (www.tcpdf.org)

05/26/2025 2/2

http://unicode-inc.blogspot.com/2014/06/announcing-unicode-standard-version-70.html
https://redmine.ruby-lang.org/issues/9092
http://unicode-inc.blogspot.ch/2014/08/new-publication-schedule-for-unicode.html
http://www.tcpdf.org

